* {
    box-sizing: border-box;
    transition: all 0.3s cubic-bezier(0.175, 0.885, 0.32, 1.275);
}

body {
    min-height: 100vh;
    font-family: "Poppins";
}

header {
    display: flex;
    align-items: center;
    justify-content: center;
    padding-top: 55px;
    padding-bottom: 25px;
    @media (min-width: 768px) {
        padding-block: 78px;
    }
    .dk-only {
        display: none;
        @media (min-width: 768px) {
            display: block;
        }
    }
    .mb-only {
        @media (min-width: 768px) {
            display: none;
        }
    }
}

main {
    padding-inline: 14px;
    min-height: calc(calc(100vh - 183px) - 136px);
    display: flex;
    flex-direction: column;
    text-align: center;
    position: relative;
    padding-bottom: 40px;
    @media (min-width: 768px) {
        min-height: calc(calc(100vh - 261px) - 168px);
        padding-bottom: 156px;
        padding-inline: 0;
        justify-content: center;
    }
    h1 {
        font: 900 32px/40px NoeDisplay;
        margin-bottom: 40px;
        @media (min-width: 768px) {
            font-size: 56px;
            margin-bottom: 24px;
            line-height: 1;
        }
    }
    p {
        font-size: 16px;
        line-height: 1.5;
        @media (min-width: 768px) {
            width: 600px;
            margin-inline: auto;
            font-size: 22px;
        }
        &.text-light {
            font-weight: 300;
        }
        &.text-medium {
            font-weight: 500;
        }
        & ~ p {
            margin-top: 40px;
        }
    }
    div {
        margin-top: 20px;
        display: flex;
        justify-content: center;
        gap: 14px;
        span {
            color: #ffffff;
            background: #FF6E00;
            border-radius: 15px;
            padding: 4px;
            font-size: 60px;
            font-weight: 600;
        }
    }
    > img {
        position: absolute;
        right: 0;
        width: 95px;
        bottom: -7px;
        @media (min-width: 768px) {
            bottom: -15px;
            width: auto;
            left: 0;
            margin: auto;
            transform: translateX(380px);
        }
    }
}

footer {
    background: linear-gradient(to right, #FF7D00, #FF4600);
    height: 136px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    position: relative;
    @media (min-width: 768px) {
        height: 168px;
    }
    > img {
        position: absolute;
        bottom: 0;
        right: 0;
        height: 100%;
    }
    div {
        margin-inline: auto;
        max-width: 100%;
        @media (min-width: 768px) {
            padding-inline: 64px;
            width: 1440px;
        }
    }
}